Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1091 - Dosemu RPMs missing key utilities
Summary: Dosemu RPMs missing key utilities
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dosemu
Version: 5.2
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-09 19:40 UTC by roystgnr
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-31 20:04:58 UTC


Attachments (Terms of Use)

Description roystgnr 1999-02-09 19:40:18 UTC
The RPMs for dosemu as distributed for Red Hat 5.2 (and the
rawhide release I tried) seem to be lacking a number of
important utilities and support scripts which are
distributed and built with the source tarball -
"setup-hdimage", "mkdexe", "dexeconfig", and such are the
most important for me, as I am trying to get legacy BASIC
executables running under Linux.

Comment 1 Preston Brown 1999-03-29 21:52:59 UTC
Alan, Cristian, the RPM spec file has the following line in it:

# install dexe utils
#install -m 755 dexe/{do_mtools,extract-dos,mkdexe,myxcopy}
$RPM_BUILD_ROOT/usr/bin

Is there a reason we aren't installing these?  Alan, it would seem
from your changelog comment it has something to do with a security
flaw in the yacc parser.

------- Email Received From  Alan Cox <alan@redhat.com> 03/29/99 19:57 -------

Comment 2 Preston Brown 1999-03-31 20:04:59 UTC
the dexe utilities are now included in dosemu-0.99.10-4 and later.


Note You need to log in before you can comment on or make changes to this bug.